curl --request GET \
--url https://test.deribit.com/api/v2/private/remove_from_address_book \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": 42,
"method": "private/remove_from_address_book",
"params": {
"currency": "BTC",
"type": "transfer",
"address": "bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf0uyj"
}
}
'import requests
url = "https://test.deribit.com/api/v2/private/remove_from_address_book"
payload = {
"jsonrpc": "2.0",
"id": 42,
"method": "private/remove_from_address_book",
"params": {
"currency": "BTC",
"type": "transfer",
"address": "bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf0uyj"
}
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 42,
method: 'private/remove_from_address_book',
params: {
currency: 'BTC',
type: 'transfer',
address: 'bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf0uyj'
}
})
};
fetch('https://test.deribit.com/api/v2/private/remove_from_address_book', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://test.deribit.com/api/v2/private/remove_from_address_book",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_POSTFIELDS => json_encode([
'jsonrpc' => '2.0',
'id' => 42,
'method' => 'private/remove_from_address_book',
'params' => [
'currency' => 'BTC',
'type' => 'transfer',
'address' => 'bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf0uyj'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://test.deribit.com/api/v2/private/remove_from_address_book"
payload := strings.NewReader("{\n \"jsonrpc\": \"2.0\",\n \"id\": 42,\n \"method\": \"private/remove_from_address_book\",\n \"params\": {\n \"currency\": \"BTC\",\n \"type\": \"transfer\",\n \"address\": \"bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf0uyj\"\n }\n}")
req, _ := http.NewRequest("GET", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://test.deribit.com/api/v2/private/remove_from_address_book")
.header("Content-Type", "application/json")
.body("{\n \"jsonrpc\": \"2.0\",\n \"id\": 42,\n \"method\": \"private/remove_from_address_book\",\n \"params\": {\n \"currency\": \"BTC\",\n \"type\": \"transfer\",\n \"address\": \"bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf0uyj\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://test.deribit.com/api/v2/private/remove_from_address_book")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"jsonrpc\": \"2.0\",\n \"id\": 42,\n \"method\": \"private/remove_from_address_book\",\n \"params\": {\n \"currency\": \"BTC\",\n \"type\": \"transfer\",\n \"address\": \"bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf0uyj\"\n }\n}"
response = http.request(request)
puts response.read_body{
"jsonrpc": "2.0",
"id": 42,
"result": "ok"
}private/remove_from_address_book
Removes an entry from the address book. This method allows you to delete a saved address that is no longer needed.
Coinbase wallet type
For Coinbase wallet type accounts the required parameters are currency (portfolio currencies or "all") and type, plus one of address or id (the entry identifier returned by private/get_address_book). Use network and tag together with address to disambiguate entries sharing the same address.
๐ Related Article: Managing Withdrawals
Scope: wallet:read_write
curl --request GET \
--url https://test.deribit.com/api/v2/private/remove_from_address_book \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": 42,
"method": "private/remove_from_address_book",
"params": {
"currency": "BTC",
"type": "transfer",
"address": "bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf0uyj"
}
}
'import requests
url = "https://test.deribit.com/api/v2/private/remove_from_address_book"
payload = {
"jsonrpc": "2.0",
"id": 42,
"method": "private/remove_from_address_book",
"params": {
"currency": "BTC",
"type": "transfer",
"address": "bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf0uyj"
}
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 42,
method: 'private/remove_from_address_book',
params: {
currency: 'BTC',
type: 'transfer',
address: 'bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf0uyj'
}
})
};
fetch('https://test.deribit.com/api/v2/private/remove_from_address_book', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://test.deribit.com/api/v2/private/remove_from_address_book",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_POSTFIELDS => json_encode([
'jsonrpc' => '2.0',
'id' => 42,
'method' => 'private/remove_from_address_book',
'params' => [
'currency' => 'BTC',
'type' => 'transfer',
'address' => 'bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf0uyj'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://test.deribit.com/api/v2/private/remove_from_address_book"
payload := strings.NewReader("{\n \"jsonrpc\": \"2.0\",\n \"id\": 42,\n \"method\": \"private/remove_from_address_book\",\n \"params\": {\n \"currency\": \"BTC\",\n \"type\": \"transfer\",\n \"address\": \"bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf0uyj\"\n }\n}")
req, _ := http.NewRequest("GET", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://test.deribit.com/api/v2/private/remove_from_address_book")
.header("Content-Type", "application/json")
.body("{\n \"jsonrpc\": \"2.0\",\n \"id\": 42,\n \"method\": \"private/remove_from_address_book\",\n \"params\": {\n \"currency\": \"BTC\",\n \"type\": \"transfer\",\n \"address\": \"bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf0uyj\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://test.deribit.com/api/v2/private/remove_from_address_book")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"jsonrpc\": \"2.0\",\n \"id\": 42,\n \"method\": \"private/remove_from_address_book\",\n \"params\": {\n \"currency\": \"BTC\",\n \"type\": \"transfer\",\n \"address\": \"bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf0uyj\"\n }\n}"
response = http.request(request)
puts response.read_body{
"jsonrpc": "2.0",
"id": 42,
"result": "ok"
}Query Parameters
The currency symbol. Legacy wallet type: wallet currencies only. Coinbase wallet type: any portfolio currency or "all".
Currency, i.e "BTC", "ETH", "USDC"
BTC, ETH, USDC, USDT, EURR "BTC"
Address book type
transfer, withdrawal "transfer"
Address in currency format, it must be in address book. Required for legacy wallet type. Coinbase wallet type: required when id is not provided; use network and tag to disambiguate entries sharing the same address.
Address in proper format for currency
"bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf0uyj"
Blockchain network resource name (e.g. networks/ethereum-mainnet), for Coinbase wallet types. Available networks are returned by public/get_currencies in coinbase_networks. Requiredness depends on the operation. When resolving an existing address-book entry, it is optional if the entry resolves uniquely; it disambiguates an address present on multiple networks.
"networks/ethereum-mainnet"
Destination tag / memo for networks that support one. Coinbase wallet type only. Used together with address and network; also serves to disambiguate address book entries that share the same address.
Unique identifier (UUID7) of the address book entry, as returned in the id field of private/get_address_book results. Coinbase wallet type only. Can be used instead of address (with network and tag) to identify the entry.
"0190a1b2-7c3d-7e5f-8a9b-0c1d2e3f4a5b"
Was this page helpful?